%define name drakwizard
%define version 3.9.2
%define release %mkrel 1

Name: %{name}
%define subrel 1
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
Source1: %name.png
Patch0:  Sshd.pm_sftp_DSA_Auth.patch
License: GPL
Group: System/Configuration
Requires: perl-base, usermode, perl-Locale-gettext, drakxtools >= 9.1-0.4mdk, perl-Libconf >= 0.39.19, drakwizard-base = %{version}-%{release}
BuildRequires: gettext-base, perl-base
BuildArch: noarch
Obsoletes: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix
Provides: wizards_lib-dhcp wizards_lib-ftp wizards_lib-web wizards_lib wizard wizards_lib-time wizards_lib-global wizards_lib-dns wizards_lib-server wizards_lib-proxy wizards_lib-db wizards_lib-news wizards_lib-firewall wizards_lib-client wizards_lib-common wizards_lib-postfix
Summary: Wizard Launcher and its collection of wizards
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/drakwizard/trunk/

%description
drakwizard allows you to launch :
- server wizard: configures basic services.
- global wizard: wizard that launch each other.
- dhcpd, dns, ftp, apache, time wizards, ssh.

%package base
Summary: Base of Wizard Launcher
Group: System/Configuration
Conflicts: drakwizard < 3.0-1mdk

%description base
Base package for drakwizard.

%prep
%setup -q
%patch0 -p1

%install
%makeinstall
%find_lang %{name}

%files base -f %{name}.lang
%doc TODO README.adding_wizard
%config(noreplace) %_sysconfdir/gnome-vfs-2.0/vfolders/*
%_sbindir/drakwizard
%{perl_vendorlib}/MDK/Wizard/Apache.pm
%{perl_vendorlib}/MDK/Wizard/Varspaceval.pm
%{perl_vendorlib}/MDK/Wizard/Wizcommon.pm
%{perl_vendorlib}/MDK/Wizard/Wizcommon_gtk2.pm
%{perl_vendorlib}/MDK/Wizard/IFCFG.pm
%_datadir/wizards/desktop/*

%files -f %{name}.lang
%{perl_vendorlib}/MDK/Wizard/Bind.pm
%{perl_vendorlib}/MDK/Wizard/Dhcp.pm
%{perl_vendorlib}/MDK/Wizard/Ntp.pm
%{perl_vendorlib}/MDK/Wizard/Proftpd.pm
%{perl_vendorlib}/MDK/Wizard/Squid.pm
%{perl_vendorlib}/MDK/Wizard/Sshd.pm
%_datadir/wizards/sshd_wizard
%_datadir/wizards/dhcp_wizard
%_datadir/wizards/dns_wizard
%_datadir/wizards/ftp_wizard
%_datadir/wizards/proxy_wizard




%changelog
* Fri Jul 25 2014 spuhler <spuhler> 3.9.2-1.1.mga3
+ Revision: 656428
- added Sshd.pm_sftp_DSA_AUTH.patch
  * This fixes bug #11134 and adds DSA Auth.
  * This patch updates the Sshd.pm file to same version as used in mga4

  + djennings <djennings>
    - 3.9.2
    - fix detection of invalid domain names
    - fix race condition checking service status (mga#10934)
    - fix directory definition in proxy wizard
    - fix parameter format in proxy wizard
    - updated default proxy config file

* Sun Apr 21 2013 tv <tv> 3.9-1.mga3
+ Revision: 410646
- FTP:
  o fix being able to set a port other than 21
- translations updates

* Wed Jan 23 2013 fwang <fwang> 3.8-33.mga3
+ Revision: 391437
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 3.8-2.mga3
+ Revision: 349096
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 tv <tv> 3.8-1.mga3
+ Revision: 307699
- fix apache package name (mga#2640)
- fix checking services status (mga#6009)

* Fri May 27 2011 ennael <ennael> 3.7.5-1.mga1
+ Revision: 100572
- clean Mandriva references

* Wed Mar 23 2011 steletch <steletch> 3.7.4-2.mga1
+ Revision: 76001
- Clean spec file
- imported package drakwizard

